gr::fosphor::wx_core_sink_c Class Referenceabstract
Fosphor

WX version of fosphor sink (core) More...

`#include <wx_core_sink_c.h>`

Inheritance diagram for gr::fosphor::wx_core_sink_c:
[legend]

## Public Types

typedef boost::shared_ptr< wx_core_sink_c > | sptr
Public Types inherited from gr::fosphor::base_sink_c
enum | ui_action_t { DB_PER_DIV_UP , DB_PER_DIV_DOWN , REF_UP , REF_DOWN , ZOOM_TOGGLE , ZOOM_WIDTH_UP , ZOOM_WIDTH_DOWN , ZOOM_CENTER_UP , ZOOM_CENTER_DOWN , RATIO_UP , RATIO_DOWN , FREEZE_TOGGLE }

## Public Member Functions

virtual void | pycb_reshape (int width, int height)=0
Public Member Functions inherited from gr::fosphor::base_sink_c
virtual void | execute_ui_action (enum ui_action_t action)=0
virtual void | set_frequency_range (const double center, const double span)=0
virtual void | set_frequency_center (const double center)=0
virtual void | set_frequency_span (const double span)=0
virtual void | set_fft_window (const gr::fft::window::win_type win)=0

## Static Public Member Functions

static sptr | make (PyObject *cb_init, PyObject *cb_fini, PyObject *cb_swap, PyObject *cb_update)
| Return a shared_ptr to a new instance of fosphor::wx_core_sink_c. More...

## Additional Inherited Members

Protected Member Functions inherited from gr::fosphor::base_sink_c
| base_sink_c (const char *name=NULL)

## Detailed Description

WX version of fosphor sink (core)

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<wx_core_sink_c> gr::fosphor::wx_core_sink_c::sptr

## Member Function Documentation

## make()

static sptr gr::fosphor::wx_core_sink_c::make | ( | PyObject * | cb_init,
|  | PyObject * | cb_fini,
|  | PyObject * | cb_swap,
|  | PyObject * | cb_update
| ) |  |

static

Return a shared_ptr to a new instance of fosphor::wx_core_sink_c.

To avoid accidental use of raw pointers, fosphor::wx_core_sink_c's constructor is in a private implementation class. fosphor::wx_core_sink_c::make is the public interface for creating new instances.

## pycb_reshape()

virtual void gr::fosphor::wx_core_sink_c::pycb_reshape | ( | int | width,
|  | int | height
| ) |  |

pure virtual

Implemented in gr::fosphor::wx_core_sink_c_impl.

The documentation for this class was generated from the following file:

- wx_core_sink_c.h